Instalar WordPress

Guía de Instalación

Optimizar WordPress

Optimización y Velocidad

Seguridad de WordPress

Guía de Protección

WordPress 4.9 añade mensaje de advertencia en editor de temas y plugin incorporado en el núcleo

WordPress 4.9 Añade Advertencia en Editor de Temas y Plugins para Proteger Usuarios de Errores

WordPress incorpora dos editores que te permiten editar archivos de temas directamente desde su navegador. Se llaman el editor de temas y el editor de plugins, que son beneficiosos para hacer editar rápidamente los archivos de tu instalación. Sin embargo, se ha generado mucho debate sobre su beneficios y inconvenientes.

Editor de Temas y Plugins

De vez en cuando necesitas editar los archivos de tu tema en WordPress, especialmente para editar estilo o añadir código en el archivo functions.php, para insertar un snippet. Por eso WordPress viene con un editor de temas y de plugins, cuyo objetivo es ayudarte a hacer el trabajo con el menor número de herramientas posible.

Desde cualquier navegador de internet, donde tengas acceso a la administración de tu sitio web con privilegios de administrador, puedes hacer cambios en los archivos del tema, con el fin de mejorar tu sitio.

Sin embargo, esta práctica puede ser tan útil como delicada, ya que el editor que incluye WordPress es simple, y no está pensado para hacer cambios directamente, en un sitio web de producción.

La práctica más recomendada es crear una copia de respaldo (backup) del sitio web, y después descargar cualquier archivo que quieras modificar con un cliente FTP para editar tus archivos con un editor de código pertinente.

WordPress 4.9 Añade Aviso en Editor de Temas

En lugar de eliminar a el editor predeterminado de temas y de plugins del núcleo, el equipo de desarrollo de WordPress ha optado por mejorarlos añadiendo un mensaje de aviso de protección contra errores fatales en WordPress 4.9.

Mensaje de advertencia en el editor de temas integrado de WordPress

Cuando un usuario accede al editor de tema o de plugins por primera vez, le sale un mensaje de advenrtencia, (por el momento está en inglés) que aparece en la imagen que no te recomienda usar el editor para editar archivos CSS, y que lo puedes hacer en el personalizador de WordPress.

Mensaje de advertencia en el editor de plugins integrado de WordPress

Si cometes algún error mientras editas el código en los archivos del tema, podrías perder el acceso al panel de administración de tu sitio web, con un error fatal con un mensaje que posiblemente vean tus usuarios.

La recomendación que te hace WordPress, si insistes en usar el editor integrado, es crear un backup completo de tu sitio web, para poder restaurar cualquier archivo en caso de cometer algún error.

WordPress 4.9 está aún en desarrollo, y continuamente aparecen novedades. Te invitamos a seguirnos por Facebook y Twitter, para estar al tanto de lo último sobre este proceso, y todo lo relacionado sobre WordPress.

Deja un comentario

Si continúas utilizando este sitio significa que aceptas el uso de cookies. más información

Los ajustes de cookies de esta web están configurados para "permitir cookies" y así ofrecerte la mejor experiencia de navegación posible. Si sigues utilizando esta web sin cambiar tus ajustes de cookies o haces clic en "Aceptar" estarás dando tu consentimiento a esto.

Cerrar